Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#28478 - [namcap] add a warning for deprecated use of site_ruby in ruby packages

Attached to Project: Arch Linux
Opened by Thomas Dziedzic (tomd123) - Friday, 17 February 2012, 03:54 GMT
Last edited by Rémy Oudompheng (remyoudompheng) - Sunday, 04 March 2012, 11:07 GMT
Task Type Feature Request
Category Arch Projects
Status Closed
Assigned To Rémy Oudompheng (remyoudompheng)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

With the recent change in ruby 1.9, vendor_ruby is dedicated for ruby files installed by the package manager, site_ruby is only for files installed by the user.

I would like to propose a check that would give a warning whenever a package contains the folder:
usr/lib/ruby/site_ruby/

The warning should be to switch the package to using the vendor_ruby folder instead of site_ruby.

Thanks.

Attached, a package which contains site_ruby and should give a warning.
This task depends upon

Closed by  Rémy Oudompheng (remyoudompheng)
Sunday, 04 March 2012, 11:07 GMT
Reason for closing:  Implemented
Additional comments about closing:  in 3.2.3

Loading...